# gcu::SpectrumDocument Class Reference

`#include <gcu/spectrumdoc.h>`

Inheritance diagram for gcu::SpectrumDocument:

List of all members.

## Public Member Functions

| SpectrumDocument ()
| SpectrumDocument (Application *app, SpectrumView *view=NULL)
| ~SpectrumDocument ()
void | Load (char const *uri, char const *mime_type=NULL)
void | OnXUnitChanged (int i)
void | OnYUnitChanged (int i)
void | OnXAxisInvert (bool inverted)
void | OnShowIntegral ()
void | OnTransformFID (GtkButton *btn)
SpectrumView * | GetView (void)
bool | GetEmpty (void)
SpectrumType | GetSpectrumType (void)
SpectrumUnitType | GetXUnit (void)
SpectrumUnitType | GetYUnit (void)
bool | GetIntegralVisible (void)

## Protected Attributes

SpectrumView * | m_View

## Detailed Description

The document class used for spectra. This API is still quite unstable and might change in the future.

Definition at line 269 of file spectrumdoc.h.

## Constructor & Destructor Documentation

gcu::SpectrumDocument::SpectrumDocument | ( |  | ) |

Default constructor

gcu::SpectrumDocument::SpectrumDocument | ( | Application * | app,
|  | SpectrumView * | view = `NULL` |
| ) |  |  |

Parameters:

  | app | the application.
  | view | an optional already existing SpectrumView instance.

gcu::SpectrumDocument::~SpectrumDocument | ( |  | ) |

Default destructor

## Member Function Documentation

void gcu::SpectrumDocument::Load | ( | char const * | uri,
|  | char const * | mime_type = `NULL` |
| ) |  |  |

Parameters:

  | uri | the uri of the spectrum file.
  | mime_type | the mime type of the spectrum file.

Loads a spaectrum from the provided uri. Default mime type is NULL, "chemical/x-jcamp-dx" is the only one supported at the moment.

void gcu::SpectrumDocument::OnXUnitChanged | ( | int | i | ) |

Parameters:

  | i | the rank of the unit to set.

Called to change the displayed X axis unit. The values acceptable for the parameter are spectrum type dependent. This is used by the framework after a user made an appropriate request from the graphical interface.

void gcu::SpectrumDocument::OnYUnitChanged | ( | int | i | ) |

Parameters:

  | i | the rank of the unit to set.

Called to change the displayed Y axis unit. The values acceptable for the parameter are spectrum type dependent. This is used by the framework after a user made an appropriate request from the graphical interface.

void gcu::SpectrumDocument::OnXAxisInvert | ( | bool | inverted | ) |

Parameters:

  | inverted | whether to invert the X axis scale.

Called to change the X axis scale order. This is used by the framework after a user made an appropriate request from the graphical interface.

void gcu::SpectrumDocument::OnShowIntegral | ( |  | ) |

Used to show or hide the integral curve for an NMR spectrum.

void gcu::SpectrumDocument::OnTransformFID | ( | GtkButton * | btn | ) |

Parameters:

  | btn | the clicked GtkButton.

Called to transform an FID to the NMR spectrum. The label in the GtkButton might be changed.

gcu::SpectrumDocument::GetView | ( | void |  | ) | `[inline]`

Returns:
  the SpectrumView instance associated with the document.

Definition at line 362 of file spectrumdoc.h.

gcu::SpectrumDocument::GetEmpty | ( | void |  | ) | `[inline]`

Returns:
  true if the document does not have any data, false otherwise.

Reimplemented from gcu::Document.

Definition at line 366 of file spectrumdoc.h.

gcu::SpectrumDocument::GetSpectrumType | ( | void |  | ) | `[inline]`

Returns:
  the gcu::SpectrumType of the document, or GCU_SPECTRUM_TYPE_MAX.

Definition at line 370 of file spectrumdoc.h.

gcu::SpectrumDocument::GetXUnit | ( | void |  | ) | `[inline]`

Returns:
  the unit of the x-axis as gcu::SpectumUnitType, or GCU_SPECTRUM_UNIT_MAX.

Definition at line 375 of file spectrumdoc.h.

gcu::SpectrumDocument::GetYUnit | ( | void |  | ) | `[inline]`

Returns:
  the unit of the y-axis as gcu::SpectumUnitType, or GCU_SPECTRUM_UNIT_MAX.

Definition at line 380 of file spectrumdoc.h.

gcu::SpectrumDocument::GetIntegralVisible | ( | void |  | ) | `[inline]`

Returns:
  true if the integral of an NMR spectrum is visible, false in all other cases.

Definition at line 385 of file spectrumdoc.h.

## Member Data Documentation

gcu::SpectrumDocument::m_View `[protected]`

The SpectrumView instance associated with the document.

Definition at line 362 of file spectrumdoc.h.

The documentation for this class was generated from the following file:

- spectrumdoc.h